﻿@model GarageMaster.Models.Forum.TopicModels.TopicFilterModel

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

@if (Model.IsAuthorized)
{
    <p>
        <a asp-controller="Topic" asp-action="CreateTopic">Create New</a>
    </p>
}

<div class="col-md-4">
    <form asp-action="Index" method="get">
        <div class="block">
            <span class="extremum-click"><b>Фильтр</b></span>
            <div class="extremum-slide">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div>
                    <div class="form-group">
                        <label asp-for="Author" class="control-label"></label>
                        <input asp-for="Author" class="form-control" value="@Model.Author" />
                        <span asp-validation-for="Author" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="SearchKey" class="control-label"></label>
                        <input asp-for="SearchKey" class="form-control" value="@Model.SearchKey" />
                        <span asp-validation-for="SearchKey" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="DateFrom" class="control-label"></label>
                        <input asp-for="DateFrom" type="date" class="form-control" value="@Model.DateFrom" />
                        <span asp-validation-for="DateFrom" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="DateTo" class="control-label"></label>
                        <input asp-for="DateTo" type="date" class="form-control" value="@Model.DateTo" />
                        <span asp-validation-for="DateTo" class="text-danger"></span>
                    </div>
                    @if (Model.IsAuthorized)
                    {
                        <div class="form-group form-check">
                            <input class="form-check-input" type="checkbox" style="transform: scale(1.5);" asp-for="OnlyMyTopics">
                            <label class="form-check-label" asp-for="OnlyMyTopics"></label>
                            <span asp-validation-for="OnlyMyTopics" class="text-danger"></span>
                        </div>
                    }
                    <div class="form-group">
                        <input type="submit" value="Поиск" class="btn btn-primary" />
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>

<div class="container">
    <div>
        @foreach (var item in Model.Topics)
        {
            <hr />
            <div class="ad">
                <div class="row">
                    <hr />
                    <div class="col-sm-10">
                        <h5>
                            @Html.DisplayFor(modelItem => item.TopicTitle)
                        </h5>
                        <p>@Html.DisplayNameFor(model => model.Topic.Author): @Html.DisplayFor(modelItem => item.Author)</p>
                        <p>@Html.DisplayNameFor(model => model.Topic.TopicCreationDate): @Html.DisplayFor(modelItem => item.TopicCreationDate)</p>
                        <p>@Html.DisplayNameFor(model => model.Topic.CommentsQty): @Html.DisplayFor(modelItem => item.CommentsQty)</p>
                    </div>
                    <div class="col-sm-2">
                        <a asp-area="" asp-controller="Topic" asp-action="DetailsTopic" asp-route-id="@item.Id">
                            <input type="submit" value="Details" class="btn btn-primary mt-3" />
                        </a>
                    </div>
                </div>
            </div>
        }
    </div>
</div>

<div style="margin-top: 50px;">
    @if (Model.TopicPageModel.HasPreviousPage)
    {
        <a asp-action="Index"
           asp-route-Author="@Model.Author"
           asp-route-SearchKey="@Model.SearchKey"
           asp-route-DateFrom="@Model.DateFrom"
           asp-route-DateTo="@Model.DateTo"
           asp-route-OnlyMyAds="@Model.OnlyMyTopics"
           asp-route-page="@(Model.TopicPageModel.PageNumber - 1)"
           class="btn btn-outline-dark btn">
            <i class="glyphicon glyphicon-chevron-left"></i>
            Previous
        </a>
    }

    <span style="margin: 20px">@Model.TopicPageModel.PageNumber</span>

    @if (Model.TopicPageModel.HasNextPage)
    {
        <a asp-action="Index"
           asp-route-Author="@Model.Author"
           asp-route-SearchKey="@Model.SearchKey"
           asp-route-DateFrom="@Model.DateFrom"
           asp-route-DateTo="@Model.DateTo"
           asp-route-OnlyMyAds="@Model.OnlyMyTopics"
           asp-route-page="@(Model.TopicPageModel.PageNumber + 1)"
           class="btn btn-outline-dark btn">
            <i class="glyphicon glyphicon-chevron-right"></i>
            Next
        </a>
    }
</div>

@section Scripts
{
    <partial name="_FilterScriptsPartial" />

}

<style>
    .ad {
        background-color: rgb(211, 223, 237);
    }
</style>
